Description

As on today, wells water levels are referenced to the top of casing.

For each well a Correction Factor CF (level difference between the top of casing and the ground) has been measured: perhaps only

for the most recently drilled wells it has not been measured. The CF can be positive (when the top of casing is higher than the

ground), or negative (when the top of casing is lower than the ground).

The elevation of the ground can be assessed from the contours generated by Harvest for a large area, which are referenced to the

mean sea level.

An algorithm has already been created to derive the elevation of a point with respect to the nearest contour.

Taking all this in consideration, water levels in wells can be expressed with reference to the mean sea level using the formula:

(Abbreviations: WL: water level; amsl: above mean sea level; CF; Correction Factor, tc: referenced to top of casing; elev_amsl:

elevation above mean sea level)

WL_amsl = elev_amsl + CF - WL_tc

The calculated water level referenced to the mean sea level can be added as an option to the dropdown list of "value", which

presently shows only the "level": the option "referenced to mean sea level (amsl) will be then present in the dropdown.

The graphics right now represent in blue color the column of air above the water level in each well: this could be also represented

differently, with the blue color representing water and not air any more.

A preliminary estimate of the time needed for this task by Philippe amounts to 10 hours.

At the end of the estimated time (10 hours) Philippe will give an update on the software development: if time needs to be extended to

complete the development, it needs again to be estimated by Philippe, and approved by CSR.

Associated revisions

Revision b8d063ba - 05/06/2021 03:41 - Philippe May

Well: add AMSL option for levels (refs #12288)

Revision 8d56d00a - 05/06/2021 16:33 - Philippe May

Well: fix levels when cf is nan (refs #12288)

Revision 0572e856 - 05/06/2021 19:53 - Philippe May

Well: add ground level in plots (refs #12288)

Revision 776165f2 - 06/06/2021 04:05 - Philippe May

Well: improve plots when depth is unknown  (refs #12288)

Revision 77846795 - 06/06/2021 04:28 - Philippe May

Well: fix plot when depth is unknown  and no level (refs #12288)

History

#1 - 03/06/2021 11:27 - Philippe May

Sounds OK in general, with few comments:

- The estimation of the elevation of the wells from contour lines was computed once, long time ago. After that, it was and still is assumed that the Z

coordinate of the well is the correct elevation (thus, please careful when new wells are added/imported). This applies only for monitored wells.
- When the WL_amsl cannot be computed (eg. CF), the menu will be disabled or an error message will appear

- I did not consider, in the estimate, the change of bar type (air/water, ie. from top/bottom). Maybe it will still fit within the estimate, i cannot say as of

now.

#2 - 03/06/2021 11:45 - Giulio Di Anastasio

Sorry, I did not understand the following:

"After that, it was and still is assumed that the Z coordinate of the well is the correct elevation (thus, please careful when new wells are

added/imported). This applies only for monitored wells."

Kindly clarify, thanks

#3 - 03/06/2021 11:59 - Philippe May

The estimation of elevations of wells using contour lines was done once long time ago, because historically the monitored wells did not have any

information (actually, when Z=0). After that, Z=0 has always meant that the point is exactly at AMSL.

So, mentioning it in the context of this task is for historical information only.

#4 - 03/06/2021 12:04 - Giulio Di Anastasio

Ok, I understand now, and I agree

Thanks

Giulio

#5 - 06/06/2021 13:27 - Philippe May

- Project changed from Gisaf to Geomatic studio models for Gisaf

#6 - 06/06/2021 19:42 - Philippe May

- Status changed from New to Resolved

- Assignee changed from Philippe May to Giulio Di Anastasio

- % Done changed from 0 to 100

I think it's done, please have a look.

I also added an option on the plots: "Extended range". This scales the Y axis to include everything that's displayed on the graph. For the wells, one

can visualise the whole column of water, from the bottom of the well to the ground level, eventually including the stratigraphy in the background.

The button to download CSV files also works with the level AMSL.

I also improved few details for improving the usability. For example, the type of the value plotted (eg. "level amsl") is retained when clicking on

another feature.
#7 - 08/06/2021 10:25 - Giulio Di Anastasio

I saw the updates, very well done!

I just have a question on Fertile well (id 54), where in the graph you can see that the bottom of the histogram is fixed at  a certain depth (around 43

meters, judging from the Y axis) but for the period 25 august 2020 to 24 November 2020 the histograms are inverted, going deeper than that 43

meters depth: any idea why? It looks like the bottom of the well, which was recorded having a depth of 37 meters (see Extra1) is conflicting with the

info of "?" depth as in the "i" info ...

I came across this particular well because there are enquiries about it, and I was checking how to answer those ...

Powered by TCPDF (www.tcpdf.org)

16/07/2025 3/3

http://www.tcpdf.org

